import * as React from "react";
import { HierarchyRectangularNode } from "d3-hierarchy";
import { ITreeMapProps } from "./ITreeMapProps";
import { ITreeMapState } from "./ITreeMapState";
export interface CustomHierarchyRectangularNode<TreeMapInputData> extends HierarchyRectangularNode<TreeMapInputData> {
    customId: number;
}
declare class TreeMap<TreeMapInputData> extends React.Component<ITreeMapProps<TreeMapInputData>, ITreeMapState<TreeMapInputData>> {
    static defaultProps: ITreeMapProps<{}>;
    private _treemap;
    private _rootData;
    private _nodes;
    private _valueFormatFunction;
    private _nodesbgColorFunction;
    constructor(props: ITreeMapProps<TreeMapInputData>);
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: ITreeMapProps<TreeMapInputData>): void;
    render(): JSX.Element;
    private _createD3TreeMap;
    private _getNode;
    private _onBreadcrumbItemClicked;
    private _onNodeClick;
    private _getColorsFromNode;
    private _zoomTo;
    resetZoom(): void;
    zoomOut(): void;
    getZoomLevel(): number;
}
export default TreeMap;
